=== debian/changelog ===
mvdsv (0.35-2) unstable; urgency=medium

  * Initial release (Closes: #862954)

 -- Lee Garrett <debian@rocketjump.eu>  Fri, 02 Sep 2022 15:29:00 +0200
