=== debian/control ===
Source: mvdsv
Maintainer: Lee Garrett <debian@rocketjump.eu>
Section: games
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               libpcre3-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/games-team/mvdsv
Vcs-Git: https://salsa.debian.org/games-team/mvdsv.git
Homepage: https://github.com/QW-Group/mvdsv/

Package: mvdsv
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends},
Recommends: quake-data | game-data-packager
Provides: quakeworld-server
Description: QuakeWorld-compatible dedicated server
 MultiView Demo SerVer (mvdsv) has been the most popular QuakeWorld server in
 the world for the more than a decade because of its ability to record every
 player's point of view in a server side demo and provide many different game
 modes to enjoy QuakeWorld with.
 .
 This package contains no data files. To use it, you will need either the
 commercial Quake 1 data, the shareware data (game-data-packager can be
 helpful), or free game data files such as OpenQuartz.
