=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%mvdsv-$1.tar.gz%" \
  https://github.com/QW-Group/mvdsv/releases \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
