## mvdsv 1.00

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,24 @@
 
 # Set project name and languge.
 project(mvdsv C)
+
+
+######################################################################################################
+
+# Checkout shared qwprot repository
+find_package(Git QUIET)
+if(GIT_FOUND AND EXISTS "${PROJECT_SOURCE_DIR}/.git")
+    option(GIT_SUBMODULE "Check submodules during build" ON)
+    if(GIT_SUBMODULE)
+        message(STATUS "Submodule update")
+        execute_process(COMMAND ${GIT_EXECUTABLE} submodule update --init --recursive
+                        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
+                        RESULT_VARIABLE GIT_SUBMOD_RESULT)
+        if(NOT GIT_SUBMOD_RESULT EQUAL "0")
+            message(FATAL_ERROR "git submodule update --init --recursive failed with ${GIT_SUBMOD_RESULT}, please checkout submodules")
+        endif()
+    endif()
+endif()
 
 
 ######################################################################################################
@@ -57,10 +75,8 @@
 	"${DIR_SRC}/sv_user.c"
 	"${DIR_SRC}/vfs_os.c"
 	"${DIR_SRC}/vfs_pak.c"
-	"${DIR_SRC}/world.c"
+	"${DIR_SRC}/sv_world.c"
 	"${DIR_SRC}/zone.c"
-	"${DIR_SRC}/pcre/get.c"
-	"${DIR_SRC}/pcre/pcre.c"
 	)
 
 # Check build target, and included sources
@@ -89,6 +105,24 @@
 	)
 endif()
 
+######################################################################################################
+ 
+# Check for PCRE. if found, include it; if not found, use bundled PCRE.
+find_library(PCRE_LIBRARIES pcre)
+if(PCRE_LIBRARIES)
+	set(PCRE_FOUND 1)
+	find_path(PCRE_INCLUDE_DIR pcre.h)
+endif(PCRE_LIBRARIES)
+
+if(NOT PCRE_FOUND)
+	message(STATUS "PCRE library not found. Using bundled PCRE instead.")
+	list(APPEND SRC_COMMON
+	    "${DIR_SRC}/pcre/get.c"
+	    "${DIR_SRC}/pcre/pcre.c"
+	)
+else()
+	message(STATUS "Found PCRE: ${PCRE_LIBRARIES}")
+endif()
 
 ######################################################################################################
 
@@ -110,7 +144,9 @@
 ######################################################################################################
 
 # Set include directories
+target_include_directories(${PROJECT_NAME} PRIVATE ${DIR_SRC}/qwprot/src)
 target_include_directories(${PROJECT_NAME} PRIVATE ${CURL_INCLUDE_DIRS})
+target_include_directories(${PROJECT_NAME} PRIVATE ${PCRE_INCLUDE_DIR})
 
 
 ######################################################################################################
@@ -118,7 +154,7 @@
 # Check build target, and included sources and libs
 if(UNIX)
 	target_link_libraries(${PROJECT_NAME} m)
-	target_link_libraries(${PROJECT_NAME} dl)
+	target_link_libraries(${PROJECT_NAME} ${CMAKE_DL_LIBS})
 else()
 	target_link_libraries(${PROJECT_NAME} ws2_32)
 	target_link_libraries(${PROJECT_NAME} winmm)
@@ -131,11 +167,14 @@
 # Set defines for the build
 target_compile_definitions(${PROJECT_NAME} PRIVATE SERVERONLY)
 target_compile_definitions(${PROJECT_NAME} PRIVATE USE_PR2)
+target_compile_definitions(${PROJECT_NAME} PRIVATE MVD_PEXT1_SERVERSIDEWEAPON)
+target_compile_definitions(${PROJECT_NAME} PRIVATE MVD_PEXT1_SERVERSIDEWEAPON2)
+target_compile_definitions(${PROJECT_NAME} PRIVATE FTE_PEXT2_VOICECHAT)
 
 include (TestBigEndian)
 TEST_BIG_ENDIAN(IS_BIG_ENDIAN)
 if(IS_BIG_ENDIAN)
-	target_compile_definitions(${PROJECT_NAME} __BIG_ENDIAN__Q__)
+	target_compile_definitions(${PROJECT_NAME} PRIVATE __BIG_ENDIAN__Q__)
 	message(STATUS "BIG_ENDIAN")
 else()
 	target_compile_definitions(${PROJECT_NAME} PRIVATE __LITTLE_ENDIAN__Q__)
@@ -147,6 +186,10 @@
 	target_link_libraries(${PROJECT_NAME} ${CURL_LIBRARIES})
 endif()
 
+if(PCRE_FOUND)
+	target_link_libraries(${PROJECT_NAME} ${PCRE_LIBRARIES})
+endif()
+
 
 ######################################################################################################
