## mvdsv 1.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -82,26 +82,22 @@
 # Check build target, and included sources
 if(UNIX)
 	list(APPEND SRC_COMMON
-	    "${DIR_SRC}/sv_sys_unix.c"
-	)
+		"${DIR_SRC}/sv_sys_unix.c"
+	)
+	# Check for curl, and include sources and libs, if found
+	find_package(CURL)
+	if(NOT CURL_FOUND)
+		message(STATUS "Curl library not found")
+	else()
+		list(APPEND SRC_COMMON
+			"${DIR_SRC}/central.c"
+		)
+	endif()
 else()
 	list(APPEND SRC_COMMON
-	    "${DIR_SRC}/sv_sys_win.c"
-	    "${DIR_SRC}/sv_windows.c"
-	    "${DIR_SRC}/winquake.rc"
-	)
-endif()
-
-
-######################################################################################################
-
-# Check for curl, and include sources and libs, if found
-find_package(CURL)
-if(NOT CURL_FOUND)
-	message(STATUS "Curl library not found")
-else()
-	list(APPEND SRC_COMMON
-	    "${DIR_SRC}/central.c"
+		"${DIR_SRC}/sv_sys_win.c"
+		"${DIR_SRC}/sv_windows.c"
+		"${DIR_SRC}/winquake.rc"
 	)
 endif()
 
@@ -132,9 +128,11 @@
 
 
 ######################################################################################################
-
-# Set target
-add_executable(${PROJECT_NAME} ${SRC_COMMON})
+# Mark the executable as a non-console application
+if(CMAKE_C_COMPILER_ID STREQUAL "MSVC")
+	set(TARGET_TYPE WIN32)
+endif()
+add_executable(${PROJECT_NAME} ${TARGET_TYPE} ${SRC_COMMON})
 set_target_properties(${PROJECT_NAME}
 	PROPERTIES #PREFIX "" # Strip lib prefix.
 	C_VISIBILITY_PRESET hidden # Hide all symbols unless excplicitly marked to export.
@@ -158,7 +156,9 @@
 else()
 	target_link_libraries(${PROJECT_NAME} ws2_32)
 	target_link_libraries(${PROJECT_NAME} winmm)
-	set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc")
+	if(NOT CMAKE_C_COMPILER_ID STREQUAL "MSVC")
+		set(CMAKE_EXE_LINKER_FLAGS "-static-libgcc")
+	endif()
 endif()
 
 
@@ -196,7 +196,9 @@
 # Assign compiler flags
 target_compile_options(${PROJECT_NAME} PRIVATE ${CFLAGS})
 
-target_link_libraries(${PROJECT_NAME} -lpthread)
-
-
-######################################################################################################
+if(NOT CMAKE_C_COMPILER_ID STREQUAL "MSVC")
+	target_link_libraries(${PROJECT_NAME} -lpthread)
+endif()
+
+
+######################################################################################################
