=== debian/changelog ===
mvdsv (1.11-1) unstable; urgency=high

  * New upstream version 1.11
  * Add debian/gbp.conf and switch to DEP-14 packaging layout
  * Remove 0001-use-system-pcre3.patch and 0002-fix-big-endian.patch (applied
    upstream)
  * Port to PCRE2 (Closes: #1050187)
  * refresh quilt patches
  * fix build error
  * Bump Standards-Version (no changes needed)

 -- Lee Garrett <debian@rocketjump.eu>  Thu, 10 Apr 2025 13:14:29 +0200
