=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               libpcre3-dev,
+               libcurl4-openssl-dev,
+               libpcre2-dev,
+               libqwprot-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.1.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/games-team/mvdsv
 Vcs-Git: https://salsa.debian.org/games-team/mvdsv.git
 Homepage: https://github.com/QW-Group/mvdsv/
